import request from '../../utils/request'

export function getSiPatInfo(data) {
  return request({
    url: '/siQuery/getSiPatInfo',
    method: 'post',
    data,
  })
}

export function fetchPsnNo(socialNo, admdvs) {
  return request({
    url: '/siQuery/fetchPsnNo',
    method: 'get',
    params: { socialNo, admdvs },
  })
}

export function obtainBasicPersonInfo(data) {
  return request({
    url: '/siQuery/obtainBasicPersonInfo',
    method: 'post',
    data,
  })
}

export function obtainMedicalInstitutionInfo(type, fuzzyName) {
  return request({
    url: '/siQuery/obtainMedicalInstitutionInfo',
    method: 'get',
    params: { type, fuzzyName },
  })
}

export function queryVisitInfo(data) {
  return request({
    url: '/siQuery/queryVisitInfo',
    method: 'post',
    data,
  })
}

export function queryInHospitalPatientsInfo(data) {
  return request({
    url: '/siQuery/queryInHospitalPatientsInfo',
    method: 'post',
    data,
  })
}

export function queryPersonnelCumulativeInfo(data) {
  return request({
    url: '/siQuery/queryPersonnelCumulativeInfo',
    method: 'post',
    data,
  })
}

export function queryPersonnelTransferHospitalInfo(data) {
  return request({
    url: '/siQuery/queryPersonnelTransferHospitalInfo',
    method: 'post',
    data,
  })
}

export function querySpecialChronicDiseasesAccreditation(data) {
  return request({
    url: '/siQuery/querySpecialChronicDiseasesAccreditation',
    method: 'post',
    data,
  })
}

export function queryMzMatnDises() {
  return request({
    url: '/siQuery/queryMzMatnDises',
    method: 'get',
  })
}

export function querySpecialChronicDiseasesMedicalRecord(data) {
  return request({
    url: '/siQuery/querySpecialChronicDiseasesMedicalRecord',
    method: 'post',
    data,
  })
}

export function queryDiagnosisInfo(data) {
  return request({
    url: '/siQuery/queryDiagnosisInfo',
    method: 'post',
    data,
  })
}

export function querySettlementInfo(data) {
  return request({
    url: '/siQuery/querySettlementInfo',
    method: 'post',
    data,
  })
}

export function queryFeeDetails(data) {
  return request({
    url: '/siQuery/queryFeeDetails',
    method: 'post',
    data,
  })
}

export function queryInsuplcAdmdvsByMdtrtId(mdtrtId) {
  return request({
    url: '/siQuery/queryInsuplcAdmdvsByMdtrtId',
    method: 'get',
    params: { mdtrtId },
  })
}

export function checkPersonTreatment(data) {
  return request({
    url: '/siQuery/checkPersonTreatment',
    method: 'post',
    data,
  })
}

export function queryPersonnelAssignmentInfo(data) {
  return request({
    url: '/siQuery/queryPersonnelAssignmentInfo',
    method: 'post',
    data,
  })
}

export function querySiSetlList(data) {
  return request({
    url: '/siQuery/querySiSetlList',
    method: 'post',
    data,
  })
}

export function fetchSiTimesList(patNo, type) {
  return request({
    url: '/siQuery/fetchSiTimesList',
    method: 'get',
    params: { patNo, type },
  })
}

export function selectSetlinfoStatistics(data) {
  return request({
    url: '/siQuery/selectSetlinfoStatistics',
    method: 'post',
    data,
  })
}

export function selectSetldetailStatistics(data) {
  return request({
    url: '/siQuery/selectSetldetailStatistics',
    method: 'post',
    data,
  })
}

export function checkRegisterDate(patNo, times) {
  return request({
    url: '/siQuery/checkRegisterDate',
    method: 'get',
    params: { patNo, times },
  })
}

export function weiJieSuanZaiYuanHuanZhe(patNo, startTime, endTime, name, certno) {
  return request({
    url: '/siQuery/weiJieSuanZaiYuanHuanZhe',
    method: 'get',
    params: { patNo, startTime, endTime, name, certno },
  })
}
